package agilpizza.dao;

import static org.junit.Assert.*;

import org.junit.Test;

public class CategoriaBebidaDAOTest {

	@Test
	public void testBuscarBebida() {
		CategoriaBebidaDAO dao = new CategoriaBebidaDAO();
		
		assertNotNull("Não pode ser vazio", dao.buscarBebida("idFantapeq"));
		assertNotNull("Não pode ser vazio", dao.buscarBebida("idLindoya c/gáspeq"));
		assertEquals("Lindoya pequena",  "Lindoya c/gás", dao.buscarBebida("idLindoya c/gáspeq").getNome());
		assertEquals("Lindoya grande",  "Lindoya c/gás", dao.buscarBebida("idLindoya c/gásgde").getNome());
	}

}
